<template>
	<div class="row">
		<div class="col-sm-8 col-sm-offset-2 col-xs-12 col-md-6 col-md-offset-3">
			<label>Quote</label>
			<textarea class="form-control" rows="3" v-model="quote"></textarea>
			<div class="text-center">
				<button class="btn btn-primary" @click="addQuote">Add Quote</button>
			</div>
		</div>
	</div>
</template>

<script>
	export default {
		data() {
			return {
				quote: ''
			};
		},
		methods: {
			addQuote() {
				if (this.quote.length === 0)
					return alert('Please enter a quote.');
					
				this.$emit('addQuote', this.quote);
				this.quote = '';
			}
		}
	}
</script>

<style scoped>
	.text-center {
		margin: 15px 0;
	}
</style>